DeltaT=40;
LengthStartBolt=0.20; %meters
LengthStartSleeve=0.1899; %meters
AreaSleeve=obeam(0.09, 0.05, 'area'); %meters^2
AreaBolt=circle(0.02, 'area');%meters^2
AlphaBolt=matprop('bronze', 'thermal expansion', 'SI');%1/C
AlphaSleeve=matprop('aluminum', 'thermal expansion', 'SI');%1/C
EBolt=matprop('bronze', 'E', 'SI')*1e9;%Pascals
ESleeve=matprop('aluminum', 'E', 'SI');%Pascals
StrainFreeBolt=DeltaT*AlphaBolt;%unitless
StrainFreeSleeve=DeltaT*AlphaSleeve;%unitless
LengthFreeBolt=(1+StrainFreeBolt)*LengthStartBolt;%meters
LengthFreeSleeve=(1+StrainFreeSleeve)*LengthStartSleeve;%meters
DeltaLengths=LengthFreeSleeve-LengthFreeBolt;%meters
KBolt=LengthFreeBolt/(AreaBolt*EBolt);%meters/Newtons
KSleeve=LengthFreeSleeve/(AreaSleeve*ESleeve);%meters/Newton
DeltaBolt=DeltaLengths*KBolt/(KBolt+KSleeve);%meters
DeltaSleeve=-DeltaLengths*KSleeve/(KBolt+KSleeve);%meters
FinalLength=LengthFreeBolt+DeltaBolt
ForceBolt=DeltaBolt*EBolt*AreaBolt/LengthFreeBolt %Newtons
ForceSleeve=DeltaSleeve*ESleeve*AreaSleeve/LengthFreeSleeve %N
StressBolt=ForceBolt/AreaBolt % Pascals
StressSleeve=ForceSleeve/AreaSleeve %Pascals
